# coding=utf-8
'''
Created on 25.3.2013

Opens a element selection dialog.
'''
__author__ = "Jarkko Aalto \n Timo Konu \n Samuli Kärkkäinen \n Samuli Rahkonen \n Miika Raunio"
__versio__ = "1.0"

from os.path import join
from PyQt4 import QtGui
from PyQt4 import uic

class ElementSelectionDialog(QtGui.QDialog):
    """ElementSelectionDialog opens a periodic table from which user can select
    an element.
    """
    def __init__(self):
        """Inits the ElementSelection class
        """
        super().__init__()
        self.ui = uic.loadUi(join("ui_files", "ui_element_selection.ui"), self)
        buttons = self.ui.findChild(QtGui.QButtonGroup, "elementButtons")
        buttons.buttonClicked.connect(self.__set_element)  # Because we can.
        self.ui.pushButton_Cancel.clicked.connect(self.close)
        self.element = None
        self.exec_()
        
        
    def __set_element(self, button):
        """Sets the element to the corresponding button's text.
        
        Args:
            button: Dialog's QPushButton whose text is set as the selected element.
        """
        self.element = button.text()
        self.close()
