# coding=utf-8
'''
Created on 10.5.2013

'''
__author__ = "Jarkko Aalto \n Timo Konu \n Samuli K�rkk�inen \n Samuli Rahkonen \n Miika Raunio"
__versio__ = "1.0"

from PyQt4.QtGui import QDoubleValidator, QValidator
from sys import float_info

class InputValidator(QDoubleValidator):
    """Validator to check the validity of user inputs.
    
    Accepts double values with scientific notation (i.e. 0.232, 12.5e-12) and turns 
    empty input to 0.0 and commas (,) to points (.).
    """
    def __init__(self, bottom=float_info.min, top=float_info.max,
                 decimals=float_info.dig, parent=None):
        """Initiates the class.
        """
        QDoubleValidator.__init__(self, bottom, top, decimals, parent)
        self.setNotation(QDoubleValidator.ScientificNotation)
        
    
    def validate(self, input_value, pos):
        """Validates the given input. Overrides the QDoubleValidator's validate 
        function.
        """
        input_value = input_value.replace(",", ".")
        state, pos, a = QDoubleValidator.validate(self, input_value, pos)
        if input_value == "" or input_value == '.':
            pos = "0.0"
            return QValidator.Intermediate, pos, a
        if state != QValidator.Acceptable:
            return QValidator.Invalid, pos, a
        return QValidator.Acceptable, pos, a
