# coding=utf-8
'''
Created on 18.4.2013
'''
__author__ = "Jarkko Aalto \n Timo Konu \n Samuli Kärkkäinen \n Samuli Rahkonen \n Miika Raunio"
__versio__ = "1.0"

from os.path import join
from PyQt4 import QtGui
from PyQt4 import uic

from Modules.Functions import open_file_dialog
from Widgets.MatplotlibTofeHistogramWidget import MatplotlibHistogramWidget


class TofeHistogramWidget(QtGui.QWidget):
    '''
    HistogramWidget
    
    Used to draw ToF-E Histograms
    '''
    def __init__(self, measurement, icon_manager):
        super().__init__()
        self.ui = uic.loadUi(join("ui_files", "ui_histogram_widget.ui"), self)
        self.matplotlib = MatplotlibHistogramWidget(self, measurement, icon_manager)
        self.measurement = measurement
        self.ui.saveCutsButton.clicked.connect(self.save_cuts)
        self.ui.loadSelectionsButton.clicked.connect(self.load_selections)
        
        
    def save_cuts(self):
        '''Save measurement selections to cut files.
        '''
        self.measurement.save_cuts()
        
        
    def load_selections(self):
        filename = open_file_dialog(self, self.measurement.directory,
                                    "Load Element Selection",
                                    "Selection file (*.sel)")
        if filename:
            self.measurement.load_selection(filename)
            self.matplotlib.on_draw()
            self.matplotlib.elementSelectionSelectButton.setEnabled(True)
